package com.iqser.red.service.peristence.v1.server.integration.utils;

import org.testcontainers.containers.PostgreSQLContainer;

public class SpringPostgreSQLTestContainer extends PostgreSQLContainer<SpringPostgreSQLTestContainer> {

    private static final String IMAGE_VERSION = "postgres:15.2";
    private static SpringPostgreSQLTestContainer container;


    private SpringPostgreSQLTestContainer() {

        super(IMAGE_VERSION);
    }


    public static SpringPostgreSQLTestContainer getInstance() {

        if (container == null) {
            container = new SpringPostgreSQLTestContainer();
        }
        return container;
    }

}
